/* Font definitions for Venn */

@font-face {
    font-family: 'Source Serif Pro';
    src: url('../fonts/venn/SourceSerifPro-Regular.woff2') format('woff2');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Open Sans';
    src: url('../fonts/venn/OpenSans-Regular.woff2') format('woff2');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

:root {
    --base-fontface-title: 'Source Serif Pro', sans-serif;
    --base-fontface-body: 'Open Sans', sans-serif;
    --base-fontface-button: 'Open Sans', sans-serif;

    --base-color-canvas: #ECF7FC;
    --base-color-on-canvas: #141045;
    --base-color-on-canvas-title: #141045;

    --base-color-on-surface: #141045;
    --base-color-on-surface-title: #141045;

    --base-color-inverse: #ECF7FC;
    --base-color-on-inverse: #141045;
    --base-color-on-inverse-muted: #141045;
    --base-color-on-inverse-title: #141045;

    --base-color-link: #141045;
    --base-color-link-hover: #201331;
    --base-color-link-active: #201331;
    --base-color-link-visited: #201331;

    --base-color-brand-primary: #141045;
    --base-color-brand-primary-hover: #2B1B43;
    --base-color-brand-primary-active: #2B1B43;
    --base-color-brand-primary-border: #372256;
    --base-color-brand-primary-border-hover: #1B102A;
    --base-color-on-brand-primary: #FFFFFF;
    --base-color-on-brand-primary-hover: #FFFFFF;

    --base-color-brand-secondary: #5BC0DE;
    --base-color-brand-secondary-hover: #31B0D5;
    --base-color-brand-secondary-active: #31B0D5;
    --base-color-brand-secondary-border: #46B8DA;
    --base-color-brand-secondary-border-hover: #269ABC;
    --base-color-on-brand-secondary: #000000;
    --base-color-on-brand-secondary-hover: #000000;

    --base-color-brand-outline: transparent;
    --base-color-brand-outline-hover: #141045;
    --base-color-brand-outline-active: #2B1B43;
    --base-color-brand-outline-border: #141045;
    --base-color-brand-outline-border-hover: #141045;
    --base-color-on-brand-outline: #141045;
    --base-color-on-brand-outline-hover: #FFFFFF;

    --base-color-graph: #ea650d;
}
